/*
 *  Copyright 2015 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.form');

/**
 * org.ametys.form.UntilDateField
 *
 * @class This class provides a calendar and reset button field width a help icon. Use the <code>desc</option> to add the help icon.
 * @extends Ext.form.DateField
 * @constructor
 * @param {Object} config Configuration options
 */
org.ametys.form.UntilDateField = function(config) 
{
	config.itemCls = "ametys-input";
	config.labelSeparator = '';
	
	org.ametys.form.UntilDateField.superclass.constructor.call(this, config);
}; 


Ext.extend(org.ametys.form.UntilDateField, Ext.form.DateField, {
	xtype: 'untildatefield'
});

org.ametys.form.UntilDateField.prototype.onRender = function(ct, position)
{
	org.ametys.form.UntilDateField.superclass.onRender.call(this, ct, position);
	
	this.wrap2 = this.wrap.wrap({cls:'x-form-date-until-wrap'});
	
	var me = this;
	this._resetButton = new Ext.Button({
		icon: getPluginResourcesUrl ('explorer') + '/img/event/all_the_time.png',
		width: 16,
		renderTo: this.wrap2,
		listeners: {
			'click': function()
			{
				me.setValue("");
			}
		}
	});
	
	if (this.desc)
	{
		this.itemCt.child('div.x-form-element div.x-form-date-until-wrap').insertSibling({
			id: this.id + '-img',
			tag:'img',
			style: 'padding-left: 20px; padding-top : 6px; float: left;',
			src: getPluginResourcesUrl('core') + '/img/administrator/config/help.gif'}, 'after');
	
		Ext.QuickTips.register({
		    target: this.id + '-img',
		    text: this.desc,
		    dismissDelay: 0 // disable automatic hiding
		});
	}
}
